Bug 844015 (mate-conf)

Summary: Review Request: mate-conf - A process-transparent configuration system
Product: [Fedora] Fedora Reporter: Wolfgang Ulbrich <chat-to-me>
Component: Package ReviewAssignee: leigh scott <leigh123linux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan.mashal, notting, package-review, rdieter, stevezesch2
Target Milestone: ---Flags: leigh123linux: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-10 18:34:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 840149    
Attachments:
Description Flags
macros.mate.conf
none
GConf-2.18.0.1-reload.patch none

Description Wolfgang Ulbrich 2012-07-27 18:58:50 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc16/SPECS/mate-conf.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc16/SRPM/mate-conf-1.4.0-6.fc16.src.rpm
Description: mate-conf is a process-transparent configuration database API used to
store user preferences. It has pluggable backends and features to
support workgroup administration.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-07-27 19:02:45 EDT
This is my first package for fedora and i need a sponsor.
Comment 2 Wolfgang Ulbrich 2012-07-27 19:22:56 EDT
scratch builds from fc16 src.rpm:
fc16
http://koji.fedoraproject.org/koji/taskinfo?taskID=4337828
0 free  0 open  3 done  0 failed

fc17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4337844
0 free  0 open  3 done  0 failed

fc18
http://koji.fedoraproject.org/koji/taskinfo?taskID=4337847
0 free  0 open  3 done  0 failed
Comment 3 Wolfgang Ulbrich 2012-07-27 19:24:39 EDT
Created attachment 600877 [details]
macros.mate.conf
Comment 4 Wolfgang Ulbrich 2012-07-27 19:28:09 EDT
Created attachment 600878 [details]
GConf-2.18.0.1-reload.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=568845
this patch is taken from fc16 gconf2 and adjusted for mate-conf
Comment 5 Wolfgang Ulbrich 2012-07-27 19:50:35 EDT
rpmlint mate-conf.spec 
mate-conf.spec:110: W: deprecated-grep [u'fgrep']
mate-conf.spec:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 7)
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

rpmlint mate-conf-1.4.0-6.fc16.i686.rpm 
mate-conf.i686: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
mate-conf.i686: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
mate-conf.i686: W: spelling-error %description -l en_US workgroup -> work group, work-group, groundwork
mate-conf.i686: E: changelog-time-in-future 2012-07-28
mate-conf.i686: E: incorrect-fsf-address /usr/share/doc/mate-conf-1.4.0/COPYING
mate-conf.i686: E: incorrect-fsf-address /usr/bin/mateconf-gsettings-schema-convert
mate-conf.i686: W: non-conffile-in-etc /etc/xdg/autostart/mateconf-gsettings-data-convert.desktop
mate-conf.i686: W: non-conffile-in-etc /etc/rpm/macros.mateconf
mate-conf.i686: W: non-conffile-in-etc /etc/dbus-1/system.d/org.mate.MateConf.Defaults.conf
mate-conf.i686: W: no-manual-page-for-binary mateconf-merge-tree
1 packages and 0 specfiles checked; 3 errors, 7 warnings.

[rave@mother fc16]$ rpmlint mate-conf-1.4.0-6.fc16.src.rpm 
mate-conf.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
mate-conf.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
mate-conf.src: W: spelling-error %description -l en_US workgroup -> work group, work-group, groundwork
mate-conf.src: E: changelog-time-in-future 2012-07-28
mate-conf.src:110: W: deprecated-grep [u'fgrep']
mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 7)
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

[rave@mother fc16]$ rpmlint mate-conf-devel-1.4.0-6.fc16.i686.rpm 
mate-conf-devel.i686: E: changelog-time-in-future 2012-07-28
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

[rave@mother fc16]$ rpmlint mate-conf-gtk-1.4.0-6.fc16.i686.rpm 
mate-conf-gtk.i686: E: changelog-time-in-future 2012-07-28
mate-conf-gtk.i686: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 6 Dan Mashal 2012-07-27 19:51:30 EDT
I will do the review for this. Thanks.
Comment 7 leigh scott 2012-07-28 04:55:38 EDT
(In reply to comment #0)
> Spec URL:
> http://raveit65.fedorapeople.org/Mate-Desktop/fc16/SPECS/mate-conf.spec
> SRPM URL:
> http://raveit65.fedorapeople.org/Mate-Desktop/fc16/SRPM/mate-conf-1.4.0-6.
> fc16.src.rpm
> Description: mate-conf is a process-transparent configuration database API
> used to
> store user preferences. It has pluggable backends and features to
> support workgroup administration.
> Fedora Account System Username: raveit65

You will need to delete all the .la files.
Comment 8 Wolfgang Ulbrich 2012-07-28 05:52:37 EDT
(In reply to comment #7)
> You will need to delete all the .la files.

Thank you Leigh,
done.

New scratch build for fc18
http://koji.fedoraproject.org/koji/taskinfo?taskID=4338167

http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-7.fc18.src.rpm
Comment 9 Wolfgang Ulbrich 2012-07-28 05:58:11 EDT
The incorrect-fsf-address issue i've reported to upstream.

https://github.com/mate-desktop/mate-conf/issues/3
Comment 10 Dan Mashal 2012-07-28 11:50:27 EDT
Hi Wolfgang,

Thanks for taking the time to help contribute to the work going in to MATE Desktop for Fedora.

Some initial thoughts:

Easy stuff:

1) Please update license to LGPLv2+ and GPLv2+ (run license check -r . in source folder)
2) Please remove source1
3) Please update URL to http://mate-desktop.org
4) Please remove specific versions from dependencies (see below).
5) Please remove unneeded defines in top of spec file.
6) Please remove patches and submit them to upstream, or give a logical explanation of why they MUST be in this package.

Specific versions in the spec file because are not necessary.

I understand you are looking out for the users in your repo but that is the reason why we stopped pushing packages to the repo and are building on rawhide only for now.

============================================================================

tail of fedora-review build.log:

INFO: Installed packages:
Start: build phase for mate-conf-1.4.0-7.fc18.src.rpm
Start: device setup
Finish: device setup
Start: build setup for mate-conf-1.4.0-7.fc18.src.rpm
ERROR: Exception(/home/dan/844015-mate-conf/srpm/mate-conf-1.4.0-7.fc18.src.rpm) Config(fedora-17-x86_64) 0 minutes 11 seconds
INFO: Results and/or logs in: /home/dan/844015-mate-conf/results
ERROR: Command failed:
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', '/var/lib/mock/fedora-17-x86_64/root///builddir/build/SRPMS/mate-conf-1.4.0-7.fc17.src.rpm']
Getting requirements for mate-conf-1.4.0-7.fc17.src
 --> libxml2-devel-2.7.8-7.fc17.x86_64
 --> libxslt-devel-1.1.26-9.fc17.x86_64
Error: No Package found for mate-corba-devel >= 1.1.0

================================================================================

rmlint on srpm:


$ rpmlint mate-conf-1.4.0-7.fc18.src.rpm 
mate-conf.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
mate-conf.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
mate-conf.src: W: spelling-error %description -l en_US workgroup -> work group, work-group, groundwork
mate-conf.src:113: W: deprecated-grep [u'fgrep']
mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 7)
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

MUST fix:

mate-conf.src:113: W: deprecated-grep [u'fgrep']
mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 7)

================================================================================


Also we don't need to create a separate gtk package for files that are already provided by gnome in the Fedora stable repo (unless we have a VERY good reason).

Please also run rpmlint on the binary rpm generated on my local machine there are a few files that used rpath (I'm still working on it but you can see my spec file on my fp page that is a WIP). 

Please review the following:

https://fedoraproject.org/wiki/Common_Rpmlint_issues
http://fedoraproject.org/wiki/Packaging:Guidelines


Please also keep in mind, we want to package an RPM that is as close to upstream source as possible with as little modification to the source code as possible.

We do not want to modify or patch the code whatsoever unless absolutely necessary.

If there is something that you disagree with, please talk to me on IRC or google talk and we can discuss it further. 


Once you address all of the issues above the package review can continue.
Comment 11 leigh scott 2012-07-28 12:03:59 EDT
(In reply to comment #10)
> Hi Wolfgang,
> 
> Thanks for taking the time to help contribute to the work going in to MATE
> Desktop for Fedora.
> 
> Some initial thoughts:
> 
> Easy stuff:
> 
> 1) Please update license to LGPLv2+ and GPLv2+ (run license check -r . in
> source folder)

This is a must

> 2) Please remove source1

This is allowed (show me the guideline that prohibits this)

> 3) Please update URL to http://mate-desktop.org

This is a must.


> 4) Please remove specific versions from dependencies (see below).

This is allowed and needed. (show me the guideline that prohibits this)


> 5) Please remove unneeded defines in top of spec file.

This is a must.

Change %defines to %global

> 6) Please remove patches and submit them to upstream, or give a logical
> explanation of why they MUST be in this package.

This is allowed. (show me the guideline that prohibits this)
Comment 12 Dan Mashal 2012-07-28 12:13:48 EDT
@Leigh, 

Sure it's allowed but you must put a comment as to why it's there.
Comment 13 Wolfgang Ulbrich 2012-07-28 12:40:37 EDT
Which package provides 'license check -r' ?
Comment 14 Dan Mashal 2012-07-28 12:47:18 EDT
sorry, the command is "licensecheck".
Comment 15 leigh scott 2012-07-28 12:50:46 EDT
(In reply to comment #13)
> Which package provides 'license check -r' ?

# rpm -qf $(which licensecheck)
rpmdevtools-8.2-2.fc17.noarch
Comment 16 Wolfgang Ulbrich 2012-07-28 14:16:51 EDT
(In reply to comment #10)
> 1) Please update license to LGPLv2+ and GPLv2+ (run license check -r . in
> source folder)
done

> 2) Please remove source1
Can you explain me specific why this macro is bad if it isn't forbidden in package guide lines?
'why' is declared inside the macro.
# Copy schemas from old package for later uninstall on upgrade
# Macro to remove schemas.  Not meant to be used publically
# Remove schemas unconditionally
# Remove schemas on package removal (not upgrade)

Same macro is also used by latest GConf2-3.2.5-2.fc18.src.rpm
http://koji.fedoraproject.org/koji/rpminfo?rpmID=3204445

If gnome can why not me?


> 3) Please update URL to http://mate-desktop.org

done
> 4) Please remove specific versions from dependencies (see below).

Specific version are mostly declared in configure.ac or configure.n in source code. So i have to to it.
But, I will take a look in configure.in for using the correct version no.

> 5) Please remove unneeded defines in top of spec file.

done

> 6) Please remove patches and submit them to upstream, or give a logical
> explanation of why they MUST be in this package.
> Specific versions in the spec file because are not necessary.

This patched wasn't upstreamed to gnome git before perberos forked GConf2.
Without this patch we can run into this bug.
http://bugzilla.gnome.org/show_bug.cgi?id=568845


> ============================================================================
> 
> tail of fedora-review build.log:
> 
> INFO: Installed packages:
> Start: build phase for mate-conf-1.4.0-7.fc18.src.rpm
> Start: device setup
> Finish: device setup
> Start: build setup for mate-conf-1.4.0-7.fc18.src.rpm
> ERROR:
> Exception(/home/dan/844015-mate-conf/srpm/mate-conf-1.4.0-7.fc18.src.rpm)
> Config(fedora-17-x86_64) 0 minutes 11 seconds
> INFO: Results and/or logs in: /home/dan/844015-mate-conf/results
> ERROR: Command failed:
>  # ['/usr/bin/yum-builddep', '--installroot',
> '/var/lib/mock/fedora-17-x86_64/root/',
> '/var/lib/mock/fedora-17-x86_64/root///builddir/build/SRPMS/mate-conf-1.4.0-
> 7.fc17.src.rpm']
> Getting requirements for mate-conf-1.4.0-7.fc17.src
>  --> libxml2-devel-2.7.8-7.fc17.x86_64
>  --> libxslt-devel-1.1.26-9.fc17.x86_64
> Error: No Package found for mate-corba-devel >= 1.1.0
> 


Weird,
see root.log in my scratch build

DEBUG util.py:257:   Package                       Arch     Version                   Repository
DEBUG util.py:257:                                                                             Size
DEBUG util.py:257:  ================================================================================
DEBUG util.py:257:  Installing:
DEBUG util.py:257:   autoconf                      noarch   2.69-3.fc18               build   701 k
DEBUG util.py:257:   automake                      noarch   1.12.2-2.fc18             build   664 k
DEBUG util.py:257:   dbus-glib-devel               x86_64   0.100-1.fc18              build    51 k
DEBUG util.py:257:   gettext                       x86_64   0.18.1.1-16.fc18          build   1.1 M
DEBUG util.py:257:   glib2-devel                   x86_64   2.33.6-2.fc18             build   1.9 M
DEBUG util.py:257:   gobject-introspection-devel   x86_64   1.33.4-2.fc18             build   1.0 M
DEBUG util.py:257:   gtk-doc                       noarch   1.18-3.fc18               build   266 k
DEBUG util.py:257:   gtk2-devel                    x86_64   2.24.11-2.fc18            build   2.9 M
DEBUG util.py:257:   intltool                      noarch   0.50.2-3.fc18             build    58 k
DEBUG util.py:257:   libtool                       x86_64   2.4.2-6.fc18              build   586 k
DEBUG util.py:257:   libxml2-devel                 x86_64   2.8.0-2.fc18              build   1.2 M
DEBUG util.py:257:   libxslt-devel                 x86_64   1.1.26-10.fc18            build   304 k
DEBUG util.py:257:   mate-common                   noarch   1.4.0-6.fc18              build    13 k
DEBUG util.py:257:   mate-corba-devel              x86_64   1.4.0-9.fc18              build   162 k


1.4.0 > 1.1.0 right?



> =============================================================================
> ===
> 
> rmlint on srpm:
> 
> 
> $ rpmlint mate-conf-1.4.0-7.fc18.src.rpm 
> mate-conf.src: W: spelling-error %description -l en_US pluggable -> plug
> gable, plug-gable, plugged
> mate-conf.src: W: spelling-error %description -l en_US backends -> back
> ends, back-ends, backhands
> mate-conf.src: W: spelling-error %description -l en_US workgroup -> work
> group, work-group, groundwork
> mate-conf.src:113: W: deprecated-grep [u'fgrep']
> mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line
> 7)
> 1 packages and 0 specfiles checked; 0 errors, 5 warnings.
> 
> MUST fix:
> 
> mate-conf.src:113: W: deprecated-grep [u'fgrep']
> mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line
> 7)
> 
> =============================================================================
> ===

This i will fix later.

> 
> Also we don't need to create a separate gtk package for files that are
> already provided by gnome in the Fedora stable repo (unless we have a VERY
> good reason).

Which files are already provide by gnome?
Can you list them pls?
We have already a gtk subpackage

> 
> Please also run rpmlint on the binary rpm generated on my local machine
> there are a few files that used rpath (I'm still working on it but you can
> see my spec file on my fp page that is a WIP). 
> 
> Please review the following:
> 
> https://fedoraproject.org/wiki/Common_Rpmlint_issues
> http://fedoraproject.org/wiki/Packaging:Guidelines
> 
> 
> Please also keep in mind, we want to package an RPM that is as close to
> upstream source as possible with as little modification to the source code
> as possible.
> 
> We do not want to modify or patch the code whatsoever unless absolutely
> necessary.
> 

We talking about technologie software, if a patch is necessary or useful than i have to use them. A little bit patched or using no patches makes no sense in my eyes.

I do not patch a upstream because it is funny or somthing else.
In my little Opinon we need them.
I've success with this politic over 6 month.
Why you want to change a successfully running system?

Most patches are from fedora if Gnome has version 2.3x (fc14)
From this versions mate was forked from gnome.
So it makes sense for me to use some work which was improved in fedora before.
Hey and the work from the fedora gnome guys was good in 2.3.x = Mate

I read a comment from you about my repo. You said it is heavely patched.
Of course that is the reason why fedora-mate have less issues than other distros at mate forum.


> If there is something that you disagree with, please talk to me on IRC or
> google talk and we can discuss it further. 

I don't really understand your position of using patches, because you never say why this specific patch is bad because of specific reasons.
You said only i don't want this.
Why?

Sorry, i have to clarify my position here.
I try to explain it several times at gmail, but......
And this is a easy package, there are others...i think you will never agree with me.

> Once you address all of the issues above the package review can continue.

Thx for your hints
Comment 17 Wolfgang Ulbrich 2012-07-28 16:59:08 EDT
new scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4339394
Comment 19 Wolfgang Ulbrich 2012-07-28 17:31:56 EDT
http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-8.fc18.src.rpm


(In reply to comment #11)
> (In reply to comment #10)
> > Hi Wolfgang,
> > 
> > Thanks for taking the time to help contribute to the work going in to MATE
> > Desktop for Fedora.
> > 
> > Some initial thoughts:
> > 
> > Easy stuff:
> > 
> > 1) Please update license to LGPLv2+ and GPLv2+ (run license check -r . in
> > source folder)
> 
> This is a must

Done.

> > 2) Please remove source1
> 
> This is allowed (show me the guideline that prohibits this)
> 
> > 3) Please update URL to http://mate-desktop.org
> 
> This is a must.

done
 
> > 4) Please remove specific versions from dependencies (see below).
> 
> This is allowed and needed. (show me the guideline that prohibits this)

Correct specific versions from dependencies as in configure.in

> > 5) Please remove unneeded defines in top of spec file.
> 
> This is a must.
> 
> Change %defines to %global

Done

> 
> > 6) Please remove patches and submit them to upstream, or give a logical
> > explanation of why they MUST be in this package.
> 
> This is allowed. (show me the guideline that prohibits this)

+
add information to macro

TODO:
rpmlint errors
remove of BuildRequires: utoconf automake libtool gettext
if mate-common-1.4.0-6.fc16 is in stable
Comment 20 Wolfgang Ulbrich 2012-07-28 17:33:15 EDT
Sorry:

TODO:
rpmlint errors
remove of BuildRequires: autoconf automake libtool gettext
if mate-common-1.4.0-6.fc16 is in stable
Comment 21 Wolfgang Ulbrich 2012-07-29 09:42:46 EDT
(In reply to comment #10)
> 1) Please update license to LGPLv2+ and GPLv2+ (run license check -r . in
> source folder)
done

> 2) Please remove source1
Can you explain me specific why this macro is bad if it isn't forbidden in package guide lines?
'why' is declared inside the macro.
# Copy schemas from old package for later uninstall on upgrade
# Macro to remove schemas.  Not meant to be used publically
# Remove schemas unconditionally
# Remove schemas on package removal (not upgrade)

Same macro is also used by latest GConf2-3.2.5-2.fc18.src.rpm
http://koji.fedoraproject.org/koji/rpminfo?rpmID=3204445

If gnome can why not me?


> 3) Please update URL to http://mate-desktop.org

done
> 4) Please remove specific versions from dependencies (see below).

Specific version are mostly declared in configure.ac or configure.n in source code. So i have to to it.
But, I will take a look in configure.in for using the correct version no.

> 5) Please remove unneeded defines in top of spec file.

done

> 6) Please remove patches and submit them to upstream, or give a logical
> explanation of why they MUST be in this package.
> Specific versions in the spec file because are not necessary.

This patched wasn't upstreamed to gnome git before perberos forked GConf2.
Without this patch we can run into this bug.
http://bugzilla.gnome.org/show_bug.cgi?id=568845


> ============================================================================
> 
> tail of fedora-review build.log:
> 
> INFO: Installed packages:
> Start: build phase for mate-conf-1.4.0-7.fc18.src.rpm
> Start: device setup
> Finish: device setup
> Start: build setup for mate-conf-1.4.0-7.fc18.src.rpm
> ERROR:
> Exception(/home/dan/844015-mate-conf/srpm/mate-conf-1.4.0-7.fc18.src.rpm)
> Config(fedora-17-x86_64) 0 minutes 11 seconds
> INFO: Results and/or logs in: /home/dan/844015-mate-conf/results
> ERROR: Command failed:
>  # ['/usr/bin/yum-builddep', '--installroot',
> '/var/lib/mock/fedora-17-x86_64/root/',
> '/var/lib/mock/fedora-17-x86_64/root///builddir/build/SRPMS/mate-conf-1.4.0-
> 7.fc17.src.rpm']
> Getting requirements for mate-conf-1.4.0-7.fc17.src
>  --> libxml2-devel-2.7.8-7.fc17.x86_64
>  --> libxslt-devel-1.1.26-9.fc17.x86_64
> Error: No Package found for mate-corba-devel >= 1.1.0
> 


Weird,
see root.log in my scratch build

DEBUG util.py:257:   Package                       Arch     Version                   Repository
DEBUG util.py:257:                                                                             Size
DEBUG util.py:257:  ================================================================================
DEBUG util.py:257:  Installing:
DEBUG util.py:257:   autoconf                      noarch   2.69-3.fc18               build   701 k
DEBUG util.py:257:   automake                      noarch   1.12.2-2.fc18             build   664 k
DEBUG util.py:257:   dbus-glib-devel               x86_64   0.100-1.fc18              build    51 k
DEBUG util.py:257:   gettext                       x86_64   0.18.1.1-16.fc18          build   1.1 M
DEBUG util.py:257:   glib2-devel                   x86_64   2.33.6-2.fc18             build   1.9 M
DEBUG util.py:257:   gobject-introspection-devel   x86_64   1.33.4-2.fc18             build   1.0 M
DEBUG util.py:257:   gtk-doc                       noarch   1.18-3.fc18               build   266 k
DEBUG util.py:257:   gtk2-devel                    x86_64   2.24.11-2.fc18            build   2.9 M
DEBUG util.py:257:   intltool                      noarch   0.50.2-3.fc18             build    58 k
DEBUG util.py:257:   libtool                       x86_64   2.4.2-6.fc18              build   586 k
DEBUG util.py:257:   libxml2-devel                 x86_64   2.8.0-2.fc18              build   1.2 M
DEBUG util.py:257:   libxslt-devel                 x86_64   1.1.26-10.fc18            build   304 k
DEBUG util.py:257:   mate-common                   noarch   1.4.0-6.fc18              build    13 k
DEBUG util.py:257:   mate-corba-devel              x86_64   1.4.0-9.fc18              build   162 k


1.4.0 > 1.1.0 right?



> =============================================================================
> ===
> 
> rmlint on srpm:
> 
> 
> $ rpmlint mate-conf-1.4.0-7.fc18.src.rpm 
> mate-conf.src: W: spelling-error %description -l en_US pluggable -> plug
> gable, plug-gable, plugged
> mate-conf.src: W: spelling-error %description -l en_US backends -> back
> ends, back-ends, backhands
> mate-conf.src: W: spelling-error %description -l en_US workgroup -> work
> group, work-group, groundwork
> mate-conf.src:113: W: deprecated-grep [u'fgrep']
> mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line
> 7)
> 1 packages and 0 specfiles checked; 0 errors, 5 warnings.
> 
> MUST fix:
> 
> mate-conf.src:113: W: deprecated-grep [u'fgrep']
> mate-conf.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line
> 7)
> 
> =============================================================================
> ===

This i will fix later.

> 
> Also we don't need to create a separate gtk package for files that are
> already provided by gnome in the Fedora stable repo (unless we have a VERY
> good reason).

Which files are already provide by gnome?
Can you list them pls?
We have already a gtk subpackage

> 
> Please also run rpmlint on the binary rpm generated on my local machine
> there are a few files that used rpath (I'm still working on it but you can
> see my spec file on my fp page that is a WIP). 
> 
> Please review the following:
> 
> https://fedoraproject.org/wiki/Common_Rpmlint_issues
> http://fedoraproject.org/wiki/Packaging:Guidelines
> 
> 
> Please also keep in mind, we want to package an RPM that is as close to
> upstream source as possible with as little modification to the source code
> as possible.
> 
> We do not want to modify or patch the code whatsoever unless absolutely
> necessary.
> 

We talking about technologie software, if a patch is necessary or useful than i have to use them. A little bit patched or using no patches makes no sense in my eyes.

I do not patch a upstream because it is funny or somthing else.
In my little Opinon we need them.
I've success with this politic over 6 month.
Why you want to change a successfully running system?

Most patches are from fedora if Gnome has version 2.3x (fc14)
From this versions mate was forked from gnome.
So it makes sense for me to use some work which was improved in fedora before.
Hey and the work from the fedora gnome guys was good in 2.3.x = Mate

I read a comment from you about my repo. You said it is heavely patched.
Of course that is the reason why fedora-mate have less issues than other distros at mate forum.


> If there is something that you disagree with, please talk to me on IRC or
> google talk and we can discuss it further. 

I don't really understand your position of using patches, because you never say why this specific patch is bad because of specific reasons.
You said only i don't want this.
Why?

Sorry, i have to clarify my position here.
I try to explain it several times at gmail, but......
And this is a easy package, there are others...i think you will never agree with me.

> Once you address all of the issues above the package review can continue.

Thx for your hints
Comment 22 Wolfgang Ulbrich 2012-07-29 15:29:51 EDT
new scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=4340424


%changelog
* Sun Jul 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- fix rpmlint error
- add %%doc COPYING NEWS README to mate-conf-gtk as rpmlint want this

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix licence information
- add information to macro
- fix url
- update specific versions from dependencies from configure.in
- Change %%defines to %%global

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove *.la files

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial package for fedora

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-conf.spec based on GConf2-2.32.4-1.fc16 spec



http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-9.fc18.src.rpm


[rave@mother 1.4.0-8]$ rpmlint -iv /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.fc18.src/mate-conf.spec 
/media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.fc18.src/mate-conf.spec: I: checking-url http://pub.mate-desktop.org/releases/1.4/mate-conf-1.4.0.tar.xz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


[rave@mother 1.4.0-8]$ rpmlint -iv /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.fc18.src.rpm 
mate-conf.src: I: checking
mate-conf.src: I: checking-url http://mate-desktop.org (timeout 10 seconds)
mate-conf.src: I: checking-url http://pub.mate-desktop.org/releases/1.4/mate-conf-1.4.0.tar.xz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[rave@mother 1.4.0-8]$ rpmlint -iv /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.fc18.x86_64.rpm 
mate-conf.x86_64: I: checking
mate-conf.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
mate-conf.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-conf-1.4.0/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

mate-conf.x86_64: E: incorrect-fsf-address /usr/bin/mateconf-gsettings-schema-convert
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
Each executable in standard binary directories should have a man page.

1 packages and 0 specfiles checked; 2 errors, 1 warnings.


[rave@mother 1.4.0-8]$ rpmlint -iv /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-devel-1.4.0-9.fc18.x86_64.rpm 
mate-conf-devel.x86_64: I: checking
mate-conf-devel.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[rave@mother 1.4.0-8]$ rpmlint -iv /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-debuginfo-1.4.0-9.fc18.x86_64.rpm 
mate-conf-debuginfo.x86_64: I: checking
mate-conf-debuginfo.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[rave@mother 1.4.0-8]$ rpmlint -iv /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-gtk-1.4.0-9.fc18.x86_64.rpm 
mate-conf-gtk.x86_64: I: checking
mate-conf-gtk.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
mate-conf-gtk.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-conf-gtk-1.4.0/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

1 packages and 0 specfiles checked; 1 errors, 0 warnings.


@rpmlint
for incorrect-fsf-address i notice upstream in comment 9

mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
Each executable in standard binary directories should have a man page.

I don't now how to fix it.

Pls take a look at all.

TODO:
waiting for last mate-common in stable to remove unnecessaries BuildRequires
Comment 23 leigh scott 2012-07-29 15:46:25 EDT
(In reply to comment #22)
> new scratch build
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4340424
> 
> 
> %changelog
> * Sun Jul 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
> - fix rpmlint error
> - add %%doc COPYING NEWS README to mate-conf-gtk as rpmlint want this
> 
> * Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
> - fix licence information
> - add information to macro
> - fix url
> - update specific versions from dependencies from configure.in
> - Change %%defines to %%global
> 
> * Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
> - remove *.la files
> 
> * Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
> - initial package for fedora
> 
> * Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
> - mate-conf.spec based on GConf2-2.32.4-1.fc16 spec
> 
> 
> 
> http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec
> 
> http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-9.
> fc18.src.rpm
> 
> 
> [rave@mother 1.4.0-8]$ rpmlint -iv
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.
> fc18.src/mate-conf.spec 
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.
> fc18.src/mate-conf.spec: I: checking-url
> http://pub.mate-desktop.org/releases/1.4/mate-conf-1.4.0.tar.xz (timeout 10
> seconds)
> 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
> 
> 
> [rave@mother 1.4.0-8]$ rpmlint -iv
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.
> fc18.src.rpm 
> mate-conf.src: I: checking
> mate-conf.src: I: checking-url http://mate-desktop.org (timeout 10 seconds)
> mate-conf.src: I: checking-url
> http://pub.mate-desktop.org/releases/1.4/mate-conf-1.4.0.tar.xz (timeout 10
> seconds)
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> [rave@mother 1.4.0-8]$ rpmlint -iv
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-1.4.0-9.
> fc18.x86_64.rpm 
> mate-conf.x86_64: I: checking
> mate-conf.x86_64: I: checking-url http://mate-desktop.org (timeout 10
> seconds)
> mate-conf.x86_64: E: incorrect-fsf-address
> /usr/share/doc/mate-conf-1.4.0/COPYING
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license
> file,
> possibly the entire file with a new copy available from the FSF.
> 
> mate-conf.x86_64: E: incorrect-fsf-address
> /usr/bin/mateconf-gsettings-schema-convert
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license
> file,
> possibly the entire file with a new copy available from the FSF.
> 
> mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
> Each executable in standard binary directories should have a man page.
> 
> 1 packages and 0 specfiles checked; 2 errors, 1 warnings.
> 
> 
> [rave@mother 1.4.0-8]$ rpmlint -iv
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-devel-1.
> 4.0-9.fc18.x86_64.rpm 
> mate-conf-devel.x86_64: I: checking
> mate-conf-devel.x86_64: I: checking-url http://mate-desktop.org (timeout 10
> seconds)
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> [rave@mother 1.4.0-8]$ rpmlint -iv
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-
> debuginfo-1.4.0-9.fc18.x86_64.rpm 
> mate-conf-debuginfo.x86_64: I: checking
> mate-conf-debuginfo.x86_64: I: checking-url http://mate-desktop.org (timeout
> 10 seconds)
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> [rave@mother 1.4.0-8]$ rpmlint -iv
> /media/Jackass/Downloads/fc16/Mate/mate-conf/fc18/1.4.0-9/mate-conf-gtk-1.4.
> 0-9.fc18.x86_64.rpm 
> mate-conf-gtk.x86_64: I: checking
> mate-conf-gtk.x86_64: I: checking-url http://mate-desktop.org (timeout 10
> seconds)
> mate-conf-gtk.x86_64: E: incorrect-fsf-address
> /usr/share/doc/mate-conf-gtk-1.4.0/COPYING
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license
> file,
> possibly the entire file with a new copy available from the FSF.
> 
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
> 
> 
> @rpmlint
> for incorrect-fsf-address i notice upstream in comment 9
> 
> mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
> Each executable in standard binary directories should have a man page.
> 
> I don't now how to fix it.
> 
> Pls take a look at all.
> 
> TODO:
> waiting for last mate-common in stable to remove unnecessaries BuildRequires
Comment 24 leigh scott 2012-07-29 15:48:24 EDT
(In reply to comment #23)
> 
> 
> mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
> Each executable in standard binary directories should have a man page.
> 
> I don't now how to fix it.
> 

You don't fix it as it's a upstream issue so you can ignore it.
Comment 25 Wolfgang Ulbrich 2012-07-29 15:55:59 EDT
Dan Mashal, are you threre?
can you do the review pls?
Comment 26 Dan Mashal 2012-07-29 16:42:15 EDT
Have a few errands to run. Will do the review in a few hours.
Comment 27 Dan Mashal 2012-07-29 22:30:52 EDT
$ fedora-review -b 844015
Processing bugzilla bug: 844015
Bugzilla v0.7.0 initializing
Chose subclass RHBugzilla v0.1
Trying bugzilla cookies for authentication
Getting .spec and .srpm Urls from : 844015
  --> SRPM url: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-9.fc18.src.rpm
  --> Spec url: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec
Using review directory: /home/dan/844015-mate-conf
Downloading .spec and .srpm files
Downloading (Source0): http://pub.mate-desktop.org/releases/1.4/mate-conf-1.4.0.tar.xz
No upstream for (Source1): macros.mateconf
Running checks and generate report

Rebuilding /home/dan/844015-mate-conf/srpm/mate-conf-1.4.0-9.fc18.src.rpm using default root
ERROR: Exception(/home/dan/844015-mate-conf/srpm/mate-conf-1.4.0-9.fc18.src.rpm) Config(fedora-17-x86_64) 0 minutes 10 seconds
INFO: Results and/or logs in: /home/dan/844015-mate-conf/results
ERROR: Command failed: 
Build failed rc = Build error(s)
Exception down the road...


build.log:

Start: device setup
Finish: device setup
Start: yum update
Finish: yum update
Finish: lock buildroot
Finish: chroot init
INFO: Installed packages:
Start: build phase for mate-conf-1.4.0-9.fc18.src.rpm
Start: device setup
Finish: device setup
Start: build setup for mate-conf-1.4.0-9.fc18.src.rpm
ERROR: Exception(/home/dan/844015-mate-conf/srpm/mate-conf-1.4.0-9.fc18.src.rpm) Config(fedora-17-x86_64) 0 minutes 10 seconds
INFO: Results and/or logs in: /home/dan/844015-mate-conf/results
ERROR: Command failed:
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', '/var/lib/mock/fedora-17-x86_64/root///builddir/build/SRPMS/mate-conf-1.4.0-9.fc17.src.rpm']
Getting requirements for mate-conf-1.4.0-9.fc17.src
 --> libxml2-devel-2.7.8-7.fc17.x86_64
 --> libxslt-devel-1.1.26-9.fc17.x86_64
Error: No Package found for mate-corba-devel >= 1.1.0



The buildroot override expired today but I re enabled it before running the review.

Please review my spec file here:

http://vicodan.fedorapeople.org/matespec/mate-conf.spec

[dan@Fedora18 x86_64]$ rpmbuild -bs ../../SPECS/mate-conf.spec 
Wrote: /home/dan/rpmbuild/SRPMS/mate-conf-1.4.0-2.fc17.src.rpm
[dan@Fedora18 x86_64]$ rpmlint mate-conf-1.4.0-2.fc17.x86_64.rpm 
mate-conf.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-conf-1.4.0/COPYING
mate-conf.x86_64: E: incorrect-fsf-address /usr/bin/mateconf-gsettings-schema-convert
mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
1 packages and 0 specfiles checked; 2 errors, 1 warnings.


[dan@Fedora18 x86_64]$ rpmlint mate-conf-devel-1.4.0-2.fc17.x86_64.rpm 
mate-conf-devel.x86_64: W: no-dependency-on mate-conf/mate-conf-libs/libmate-conf
mate-conf-devel.x86_64: W: spelling-error %description -l en_US Lbraries -> Libraries, Brasseries
mate-conf-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


$ rpmlint mate-conf-1.4.0-2.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


$ rpmlint mate-conf.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ koji build --scratch f17 mate-conf-1.4.0-2.fc17.src.rpm 
Uploading srpm: mate-conf-1.4.0-2.fc17.src.rpm
[====================================] 100% 00:00:02 941.21 KiB 331.41 KiB/sec
Created task: 4341365
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4341365
Watching tasks (this may be safely interrupted)...
4341365 build (f17, mate-conf-1.4.0-2.fc17.src.rpm): free
4341365 build (f17, mate-conf-1.4.0-2.fc17.src.rpm): free -> open (x86-04.phx2.fedoraproject.org)
  4341367 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, i686): open (buildvm-12.phx2.fedoraproject.org)
  4341366 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, x86_64): open (buildvm-02.phx2.fedoraproject.org)
  4341366 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, x86_64): open (buildvm-02.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  4341367 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, i686): open (buildvm-12.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
4341365 build (f17, mate-conf-1.4.0-2.fc17.src.rpm): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed
$ koji build --scratch f18 mate-conf-1.4.0-2.fc17.src.rpm 
Uploading srpm: mate-conf-1.4.0-2.fc17.src.rpm
[====================================] 100% 00:00:02 941.21 KiB 370.61 KiB/sec
Created task: 4341368
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4341368
Watching tasks (this may be safely interrupted)...
4341368 build (f18, mate-conf-1.4.0-2.fc17.src.rpm): free
4341368 build (f18, mate-conf-1.4.0-2.fc17.src.rpm): free -> open (buildvm-04.phx2.fedoraproject.org)
  4341370 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, i686): free
  4341369 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, x86_64): free
  4341369 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, x86_64): free -> open (buildvm-26.phx2.fedoraproject.org)
  4341370 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, i686): free -> open (buildvm-07.phx2.fedoraproject.org)
  4341369 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, x86_64): open (buildvm-26.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  4341370 buildArch (mate-conf-1.4.0-2.fc17.src.rpm, i686): open (buildvm-07.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
4341368 build (f18, mate-conf-1.4.0-2.fc17.src.rpm): open (buildvm-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

4341368 build (f18, mate-conf-1.4.0-2.fc17.src.rpm) completed successfully


I am trying to do some koji builds with your srpm and I'll see what happens, however please take a look at my spec for some hints, you will see why I raised the initial concerns that I did. And again, I'm not saying you don't make valid points.
Comment 28 leigh scott 2012-07-30 01:28:54 EDT
(In reply to comment #27)
 
> I am trying to do some koji builds with your srpm and I'll see what happens,
> however please take a look at my spec for some hints, you will see why I
> raised the initial concerns that I did. And again, I'm not saying you don't
> make valid points.


Your concerns are aren't valid please stick to the review guidelines.
Comment 29 Dan Mashal 2012-07-30 03:03:41 EDT
f17 and f18 reviews were successful with Wolfgang's srpm. Will complete review first thing tomorrow.
Comment 30 Wolfgang Ulbrich 2012-07-30 16:53:33 EDT
I did a chat with Dan. 
He told me to add a url or source1.
like http://raveit65.fedorapeople.org/Test/macros.mateconf
I don't find any hint of this concern in package guide line
Can anyone confirm if this is necessary or only a idea?
Comment 31 leigh scott 2012-07-30 17:06:26 EDT
(In reply to comment #30)
> I did a chat with Dan. 
> He told me to add a url or source1.
> like http://raveit65.fedorapeople.org/Test/macros.mateconf
> I don't find any hint of this concern in package guide line
> Can anyone confirm if this is necessary or only a idea?

macros.mateconf doesn't require a source URL.
Comment 32 Wolfgang Ulbrich 2012-07-30 17:48:34 EDT
pls, can anyone other do the review?
Comment 33 Wolfgang Ulbrich 2012-07-30 18:35:57 EDT
new scratch build for a new reviewer

mate-conf-1.4.0-10.fc18

http://koji.fedoraproject.org/koji/taskinfo?taskID=4343862

http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-10.fc18.src.rpm

changelog
* Mon Jul 30 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- remove double BuildRequires

* Sun Jul 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- fix rpmlint error
- add %%doc COPYING NEWS README to mate-conf-gtk as rpmlint want this

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix licence information
- add information to macro
- fix url
- update specific versions from dependencies from configure.in
- Change %%defines to %%global

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove *.la files

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial package for fedora

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-conf.spec based on GConf2-2.32.4-1.fc16 spec
Comment 34 Dan Mashal 2012-07-30 19:49:07 EDT
Wolfgang, I am doing the review. I appreciate your patience and explanation of the questions I had tonight. 

Please be patient. Reviews don't happen over night.
Comment 35 Wolfgang Ulbrich 2012-07-30 19:59:36 EDT
wir harren der Dinge die da kommen!
Comment 36 Steve Zesch 2012-07-30 20:46:03 EDT
Upstream dev here.

macros.mateconf is not required to build mate-conf nor is it required for mate-conf to function properly. Its purpose is to allow for schema removal when mate-conf is removed and to handle upgrades. Basically, it's something that's nice to have but it's not a necessity. We use something similar in our packages for other distros.
Comment 37 Dan Mashal 2012-07-30 22:36:12 EDT
I'm stepping back from this review as per the following rule:

http://fedoraproject.org/wiki/Package_Review_Process

The Reviewer can be any Fedora account holder, who is a member of the packager group. There is one exception: If it is the first package of a Contributor, the Reviewer must be a Sponsor. You can check if a Contributor has already been sponsored by looking the e-mail address up in the packager group of the account system.
Comment 39 leigh scott 2012-07-31 04:17:20 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[-} MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):mate-
     conf-1.4.0-10.fc18.x86_64.rpm : /usr/lib64/MateConf/2/libmateconfbackend-
     evoldap.so mate-conf-1.4.0-10.fc18.x86_64.rpm : /usr/lib64/MateConf/2
     /libmateconfbackend-oldxml.so mate-conf-1.4.0-10.fc18.x86_64.rpm :
     /usr/lib64/MateConf/2/libmateconfbackend-xml.so mate-
     conf-1.4.0-10.fc18.x86_64.rpm :
     /usr/lib64/gio/modules/libgsettingsmateconfbackend.so

These are private libaries so they are exempt.

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files gtk section. This is OK if
     packaging for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "*No copyright* UNKNOWN", "*No copyright* GENERATED
     FILE", "GPL (v2 or later)", "LGPL (v2 or later) (with incorrect FSF
     address)" For detailed output of licensecheck see file:
     /home/leigh/Desktop/844015-mate-conf/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[!]: MUST Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x}: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.

Tested using using the mate stack from your repo

[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[-]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (GConf-2.18.0.1-reload.patch) Source1 (macros.mateconf)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.
     Note: %defines to %%global

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files gtk section. This is OK if
     packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: mate-conf-1.4.0-10.fc18.x86_64.rpm
          mate-conf-devel-1.4.0-10.fc18.x86_64.rpm
          mate-conf-gtk-1.4.0-10.fc18.x86_64.rpm
          mate-conf-1.4.0-10.fc18.src.rpm
          mate-conf-debuginfo-1.4.0-10.fc18.x86_64.rpm
mate-conf.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-conf-1.4.0/COPYING
mate-conf.x86_64: E: incorrect-fsf-address /usr/bin/mateconf-gsettings-schema-convert
mate-conf.x86_64: W: no-manual-page-for-binary mateconf-merge-tree
mate-conf-gtk.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-conf-gtk-1.4.0/COPYING
5 packages and 0 specfiles checked; 3 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint mate-conf-debuginfo mate-conf-devel
mate-conf-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
mate-conf-1.4.0-10.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /sbin/ldconfig  
    /usr/bin/env  
    /usr/bin/killall  
    config(mate-conf) = 1.4.0-10.fc18
    dbus  
    libMateCORBA-2.so.0()(64bit)  
    libc.so.6()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    liblber-2.4.so.2()(64bit)  
    libldap-2.4.so.2()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libpolkit-gobject-1.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    rtld(GNU_HASH)  

mate-conf-devel-1.4.0-10.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    automake  
    glib2-devel >= 2.14.0
    libmateconf-2.so.4()(64bit)  
    libxml2-devel  
    mate-conf = 1.4.0-10.fc18
    mate-conf-devel >= 1.1.0
    pkgconfig  
    pkgconfig(MateCORBA-2.0)  
    pkgconfig(gio-2.0)  
    pkgconfig(glib-2.0)  

mate-conf-gtk-1.4.0-10.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libMateCORBA-2.so.0()(64bit)  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libxml2.so.2()(64bit)  
    mate-conf = 1.4.0-10.fc18
    rtld(GNU_HASH)  

mate-conf-debuginfo-1.4.0-10.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
mate-conf-1.4.0-10.fc18.x86_64.rpm:
    
    config(mate-conf) = 1.4.0-10.fc18
    libgsettingsmateconfbackend.so()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libmateconfbackend-evoldap.so()(64bit)  
    libmateconfbackend-oldxml.so()(64bit)  
    libmateconfbackend-xml.so()(64bit)  
    mate-conf = 1.4.0-10.fc18
    mate-conf(x86-64) = 1.4.0-10.fc18

mate-conf-devel-1.4.0-10.fc18.x86_64.rpm:
    
    mate-conf-devel = 1.4.0-10.fc18
    mate-conf-devel(x86-64) = 1.4.0-10.fc18
    pkgconfig(mateconf-2.0) = 1.4.0

mate-conf-gtk-1.4.0-10.fc18.x86_64.rpm:
    
    mate-conf-gtk = 1.4.0-10.fc18
    mate-conf-gtk(x86-64) = 1.4.0-10.fc18

mate-conf-debuginfo-1.4.0-10.fc18.x86_64.rpm:
    
    mate-conf-debuginfo = 1.4.0-10.fc18
    mate-conf-debuginfo(x86-64) = 1.4.0-10.fc18

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-conf-1.4.0.tar.xz :
  MD5SUM this package     : a4b4de4a6d6753f58e9f5f98ee73d18b
  MD5SUM upstream package : a4b4de4a6d6753f58e9f5f98ee73d18b


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 844015 -m fedora-rawhide-x86_64
External plugins:


Package APPROVED

Please make these changes when you import.

1. Please remove this from the files section

%defattr(-, root, root)

And this from the install section

rm -rf $RPM_BUILD_ROOT

2. Please rename this patch from

GConf-2.18.0.1-reload.patch

to

%{name}-1.4.0-reload.patch

or someting similar
Comment 40 Wolfgang Ulbrich 2012-07-31 08:52:12 EDT
(In reply to comment #39)
> 
> Package APPROVED
> 
> Please make these changes when you import.
> 
> 1. Please remove this from the files section
> 
> %defattr(-, root, root)
> 
> And this from the install section
> 
> rm -rf $RPM_BUILD_ROOT
> 
> 2. Please rename this patch from
> 
> GConf-2.18.0.1-reload.patch
> 
> to
> 
> %{name}-1.4.0-reload.patch
> 
> or someting similar

done

%changelog
* Tue Jul 31 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-11
- remove %%defattr(-, root, root)
- remove rm -rf $RPM_BUILD_ROOT from install section
- rename GConf-2.18.0.1-reload.patch to mate-conf-1.4.0-reload.patch

* Mon Jul 30 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- remove double BuildRequires

* Sun Jul 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- fix rpmlint error
- add %%doc COPYING NEWS README to mate-conf-gtk as rpmlint want this

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix licence information
- add information to macro
- fix url
- update specific versions from dependencies from configure.in
- Change %%defines to %%global

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove *.la files

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial package for fedora

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-conf.spec based on GConf2-2.32.4-1.fc16 spec

http://koji.fedoraproject.org/koji/taskinfo?taskID=4344924

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-conf-1.4.0-11.fc18.src.rpm

Thank you Leigh for doing the review
Comment 41 Wolfgang Ulbrich 2012-07-31 09:34:51 EDT
New Package SCM Request
=======================
Package Name: mate-conf
Short Description: A process-transparent configuration system
Owners: raveit65
Branches: fc16 fc17
InitialCC:
Comment 42 Jon Ciesla 2012-07-31 09:44:16 EDT
Git done (by process-git-requests).

Branches are f16 and f17, not fc16 and fc17.
Comment 43 Fedora Update System 2012-07-31 14:15:13 EDT
mate-conf-1.4.0-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-11.fc17
Comment 44 Fedora Update System 2012-07-31 14:19:55 EDT
mate-conf-1.4.0-11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-11.fc16
Comment 45 Wolfgang Ulbrich 2012-07-31 14:56:00 EDT
Yeap, it's done.
pls, can you test it and leave karma.
Comment 46 Jon Ciesla 2012-07-31 15:00:50 EDT
Don't re-set cvs flag, already done.
Comment 47 leigh scott 2012-07-31 21:02:43 EDT
can you both stop editing the blocks as the spam it generates is starting to piss me off.
Comment 48 Fedora Update System 2012-08-01 18:25:03 EDT
mate-conf-1.4.0-11.fc16 has been pushed to the Fedora 16 testing repository.
Comment 49 Fedora Update System 2012-08-06 18:52:20 EDT
mate-conf-1.4.0-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-14.fc17
Comment 50 Fedora Update System 2012-08-06 18:53:46 EDT
mate-conf-1.4.0-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-14.fc16
Comment 51 leigh scott 2012-08-10 03:26:54 EDT
@Dan How the frig can mate-conf block anything when it's already in the repo.
In future leave the block tag alone as you don't have a clue.
Comment 52 Dan Mashal 2012-08-10 03:28:08 EDT
Leigh, 

please see my comment in the bug I inked.
Comment 53 Fedora Update System 2012-08-10 18:34:46 EDT
mate-conf-1.4.0-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 54 Fedora Update System 2012-08-21 06:09:13 EDT
mate-conf-1.4.0-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-14.fc16
Comment 55 Fedora Update System 2012-08-25 21:12:37 EDT
mate-conf-1.4.0-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-14.fc16
Comment 56 Fedora Update System 2012-08-26 23:39:58 EDT
mate-conf-1.4.0-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-conf-1.4.0-15.fc16